For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Get imports for DB

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/imports
GET
/api.php/dbs/:db_id/imports
$curl https://meta.feedonomics.com/api.php/dbs/1.1/imports \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Imports_getImportsForDb_example
1[
2 {
3 "id": "1",
4 "db_id": "1",
5 "name": "import one",
6 "status": "0",
7 "file_location": "local",
8 "file_type": "delimited",
9 "file_map": {
10 "encoding": "",
11 "separator": ",",
12 "enclosure": "",
13 "escaper": "",
14 "maps": {
15 "id": "id",
16 "tags": "tags",
17 "row": "row",
18 "image_link": "image_link"
19 }
20 },
21 "join_type": "product_feed",
22 "running": "0",
23 "cxn_id": "0",
24 "name_based_maps": "1",
25 "xml_force_parse": "0",
26 "force_encoding": "0",
27 "timestamp": "0000-00-00 00:00:00",
28 "ignore_lines": "1",
29 "load_threshold": "1",
30 "update_threshold": "1",
31 "max_attempts": "1",
32 "time_between_attempts": "1",
33 "limits": "",
34 "last_download_time": "2021-09-16 17:48:07",
35 "last_backup_time": "0000-00-00 00:00:00",
36 "needs_backup": "1",
37 "xmlreader": "0",
38 "clean_file_headers": "0",
39 "download_activity_timeout": "0",
40 "timeout": "900",
41 "last_download_status": "",
42 "backup_failures": "0",
43 "ftp_allow_minio_direct": "0",
44 "created_at": "2021-09-16 17:48:06",
45 "tags": {
46 "platform": "Not Applicable"
47 }
48 }
49]
Was this page helpful?
Previous

Run Export

Next

Create Import

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired

Headers

x-api-keystringRequired

Response

Get imports for DB
idstring
db_idstring
namestring
cronstringformat: "nullable"
next_run_timestringformat: "nullable"
statusstring
file_locationstring
import_infoobject
file_typestring
file_mapobject
line_terminatorstring
join_typestring
runningstring
cxn_idstring
name_based_mapsstring
xml_force_parsestring
force_encodingstring
timestampstring
ignore_linesstring
load_thresholdstring
update_thresholdstring
max_attemptsstring
time_between_attemptsstring
limitsstring
backup_cxn_idstringformat: "nullable"
last_download_timestring
last_backup_timestring
needs_backupstring
xmlreaderstring
clean_file_headersstring
download_activity_timeoutstring
timeoutstring
last_download_statusstring
backup_failuresstring
ftp_allow_minio_directstring
created_atstring
last_download_sizestring
last_run_durationstring
load_threshold_percentstring
statsobject
tagsobject